Dry-run
cURL
curl --request POST \ --url https://api-sandbox.y.uno/v1/payment-methods/domains \ --header 'Content-Type: application/json' \ --header 'private-secret-key: <api-key>' \ --header 'public-api-key: <api-key>' \ --data ' { "account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connection_id": "7c1d9a2e-3f44-4e8a-9b61-8e2f4c6b9d0a", "payment_method_type": "APPLE_PAY", "domains": [ { "url": "checkout.example.com" }, { "url": "shop.example.com" } ] } '
{ "account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "payment_method": "APPLE_PAY", "domains": [ { "id": "dom_1234567890abcdef", "domain": "checkout.example.com", "status": "REGISTERED", "created_at": "2026-01-22T10:30:00Z", "updated_at": "2026-01-22T10:30:00Z" }, { "id": "dom_3456789012cdefgh", "domain": "shop.example.com", "status": "REGISTERED", "created_at": "2026-01-22T10:30:00Z", "updated_at": "2026-01-22T10:30:00Z" } ] }
The unique identifier of the account. Find this in the Yuno dashboard (MAX 64; MIN 36)
The unique identifier of the connection (MAX 64; MIN 36)
Single payment method to register for all domains.
Array of domains to register.
Show child attributes
Accepted
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
"APPLE_PAY"
Was this page helpful?